
import distutils.core
import distutils.cmd
import subprocess
#from distutils.core import setup

class make_docs(distutils.cmd.Command):
    "build API documentation"

    user_options = []

    def initialize_options(self):
        pass

    def finalize_options(self):
        pass

    def run(self):
        subprocess.call(['pydoctor', '--project-name=glitch',
            '--resolve-aliases', 'glitch/'])

distutils.core.setup(name='glitch',
    cmdclass={'make_docs': make_docs},
    version='0.6',
    url='http://glitch.rhydd.org',
    description='Glitch GL Convenience Library',
    author='Dafydd Harries and Robert M Ochshorn',
    author_email='mail@rmozone.com,daf@rhydd.org',
    packages=[
      'glitch',
      'glitch.cairo',
      'glitch.gst',
      'glitch.glut',
      'glitch.glx',
      'glitch.gtk',
      'glitch.limbo',
      'glitch.PIL'],
    )
